|  | Home · All Classes · Modules

# QTextOption.Flags Class Reference
[QtGui module]

### Methods

- __init__ (self)
- __init__ (self, int f)
- __init__ (self, Flags)

### Special Methods

- Flags __and__ (self, int f)
- int __bool__ (self)
- bool __eq__ (self, Flags f)
- Flags __iand__ (self, int f)
- int __int__ (self)
- Flags __invert__ (self)
- Flags __ior__ (self, int f)
- Flags __ixor__ (self, int f)
- bool __ne__ (self, Flags f)
- Flags __or__ (self, int f)
- Flags __xor__ (self, int f)

## Detailed Description

Flag may be used whenever Flags is expected.

## Method Documentation

### Flags.__init__ (self)

### Flags.__init__ (self, int f)

### Flags.__init__ (self, Flags)

### Flags Flags.__and__ (self, int f)

### int Flags.__bool__ (self)

### bool Flags.__eq__ (self, Flags f)

### Flags Flags.__iand__ (self, int f)

### int Flags.__int__ (self)

### Flags Flags.__invert__ (self)

### Flags Flags.__ior__ (self, int f)

### Flags Flags.__ixor__ (self, int f)

### bool Flags.__ne__ (self, Flags f)

### Flags Flags.__or__ (self, int f)

### Flags Flags.__xor__ (self, int f)